image: python:3.11

stages:
  - build
  - deploy

build:
  stage: build
  script:
    - pip install streamlit
    - streamlit build pred.py

deploy:
  stage: deploy
  script:
    - mkdir public
    - mv app.py public/index.html
  artifacts:
    paths:
      - public
  only:
    - master
